
	DEFINE LCD_DREG 	PORTD	' Az LCD adatbitek a D porton
	DEFINE LCD_DBIT 	0	' Az els bit az RD0
	DEFINE LCD_RSREG 	PORTD	' A register select bit a D porton,
	DEFINE LCD_RSBIT 	4	' az RD4 port
	DEFINE LCD_EREG 	PORTD	' Az enable bit a D porton,
	DEFINE LCD_EBIT 	5	' az RD5 portra van kiosztva
	DEFINE LCD_BITS 	4	' a 4 bites zemmodot valasztjuk
	DEFINE LCD_LINES 	2	' 2 soros az LCD
	
	lcdout $fe,1	    		' LCD torles, es iras az elso sorba
	lcdout "*** Mikroklub **"
	lcdout $fe,$C0	    		' LCD torles, es iras a masodik sorba
	lcdout "www.mikroklub.hu"

	
' A relek valtott ki/bekapcsolasa:

	W0 var Word
	B6 var byte
	
	STROBE var PORTB.5		' A 74HC4094 kimeneti beiro jele a PORTB.5,
	CLK var PORTB.7			' az orajele a PORTB.7,
	DAT var PORTB.6 		' az adat bemenete a PORTB.6-ra van kiosztva.
main:	FOR B6 = 1 TO 16 		' Az adatok beleptetese a sorba kotott 4094-ekbe
	Toggle DAT			' A relek sorban be-ki-be-ki-be...  lesznek kapcsolva
	HIGH CLK			' az orajelbemenet magasra kapcsolva 
	Pause 1				' egy kicsit magasan tartjuk
	LOW CLK 			' majd alacsony szintre kapcsolva egy oraimpulzust csinaltunk.
	NEXT B6				' Vissza a ciklusba, amig a 2x8=16 bit nincs beleptetve 

	HIGH STROBE			' A beleptetett adatokat a kimenetre kapcsoljuk, 
	Pause 1				' a "Strobe"-ra egy beiro jelet adunk.
	LOW STROBE 			' A 4094 kimeneten megjelennek a beleptetett adatok.

	Pause 1000			' 1000 msec, azaz 1 masodperc pause

	Toggle PORTA.4			' Az RA4 porton vezerelt LED ki/bekapcsolgatsa
	
	Toggle DAT			' 
	
	goto main			' Kezdodik ujra 
	end
